#ifndef ITEMCONTAINER_HPP_INCLUDED
#define ITEMCONTAINER_HPP_INCLUDED

#include "Node.hpp"
#include "../JavaClass/Class.hpp"
#include <vector>
#include <cstdint>

namespace Internal
{
    class ItemContainer : public Node
    {
        public:
            ItemContainer();
            ItemContainer(const void* Obj);
            ItemContainer(const ItemContainer& I);
            static Class GetClass();

            std::vector<std::int32_t> GetItemAmounts() const;
            std::vector<std::int32_t> GetItemIDs() const;

    };
}

#endif // ITEMCONTAINER_HPP_INCLUDED
